summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTom McLaughlin <tom@codedown.io>2023-09-09 19:59:04 -0700
committerTom McLaughlin <tom@codedown.io>2023-09-09 20:01:22 -0700
commitce371a2c962977274428c63c4e45dc1b69c6378d (patch)
tree56b8554e3624b5f9a62054b76e99fb60d5f1079d
parentc75f4f640a0c005dabd48cd463566668701c7040 (diff)
Improve update.sh script to fetch latest version automatically
-rwxr-xr-xpkgs/applications/editors/jupyter-kernels/iruby/update.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/pkgs/applications/editors/jupyter-kernels/iruby/update.sh b/pkgs/applications/editors/jupyter-kernels/iruby/update.sh
index 03c0687bd5fd..efd4e5d4d6d9 100755
--- a/pkgs/applications/editors/jupyter-kernels/iruby/update.sh
+++ b/pkgs/applications/editors/jupyter-kernels/iruby/update.sh
@@ -1,6 +1,13 @@
-#!/usr/bin/env sh
+#!/usr/bin/env bash
-# First, manually update Gemfile
+set -eu -o pipefail
+
+cd "$(dirname "$0")"
+
+# Update Gemfile with the latest iruby version
+echo "source 'https://rubygems.org'" > Gemfile
+echo -n "gem 'iruby', " >> Gemfile
+nix shell .#curl -c curl https://rubygems.org/api/v1/gems/iruby.json | nix shell .#jq -c jq .version >> Gemfile
# Regenerate Gemfile.lock
nix shell .#bundler -c bundle lock